# Created by pyp2rpm-1.0.1
%global pypi_name cov-core
%if 0%{?fedora}
%global with_python3 1
%else
%global with_python3 0
%endif

Name:           python-%{pypi_name}
Version:        1.7
Release:        4%{?dist}
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov

License:        MIT
URL:            http://bitbucket.org/memedough/cov-core/overview
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3
 
Requires:       python-coverage >= 3.4

%description
This is a lib package for use by pytest-cov, nose-cov and nose2-cov. If
you're developing a coverage plugin for a test framework then you probably
want one of those.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov
 
Requires:       python3-coverage >= 3.4

%description -n python3-%{pypi_name}
This is a lib package for use by pytest-cov, nose-cov and nose2-cov. If
you're developing a coverage plugin for a test framework then you probably
want one of those.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README.txt LICENSE.txt
%{python2_sitelib}/cov_core*

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt LICENSE.txt
%{python3_sitelib}/cov_core*
%{python3_sitelib}/__pycache__/*
%endif # with_python3

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Sep 16 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.7-2
- Add BR: python-setuptools.

* Thu Sep 05 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.7-1
- Initial package.
